Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 5439 - [PP]Mac HTML/JS popup menus don't display Unicode correctly
: [PP]Mac HTML/JS popup menus don't display Unicode correctly
DEPEND - Intl - QA BLOCKER - ok for M6
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: PowerPC Mac System 8.5
: P3 major (vote)
: M7
Assigned To: tague
: Fergus Sullivan
Depends on:
Blocks: 7228
  Show dependency treegraph
Reported: 1999-04-23 15:03 PDT by Fergus Sullivan
Modified: 2004-11-23 18:54 PST (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description Fergus Sullivan 1999-04-23 15:03:25 PDT
Take navigator.xul and change a couple of strings to Japanese or to European
extended characters (using Unicode).  Go to a page that has a JS popup menu.  On
Win, all on-screen widgets look good, on Mac the text labels of the menu items
are corrupted.

It looks like MacFE still expects either Shift-JIS or MacRoman, as appropriate.
It should be looking for and displaying Unicode characters.
Comment 1 msanz 1999-04-23 15:31:59 PDT
see comments for 5402
Comment 2 Peter Trudelle 1999-04-23 16:10:59 PDT
reassigning to karnaze, since this is a forms widget.  I think this should be
marked wontfix though, since it is the native popups.  We won't be doing our XP
version of popups until M6
Comment 3 karnaze (gone) 1999-04-23 16:14:59 PDT
Reassigning to Pierre since it sounds Mac specific.
Comment 4 Pierre Saslawsky 1999-04-23 16:22:59 PDT
Reassigning to saari since it is menu-related
Comment 5 leger 1999-04-28 16:27:59 PDT
Adding to QA Blocker radar.
Comment 6 saari (gone) 1999-05-17 12:27:59 PDT
Pushing to M7. There is no good solution for Mac and Unicode menus.
Comment 7 tague 1999-06-02 00:39:59 PDT
should be fixed as part of the fix for #5402.  this also adds unicode support
for the nsContextualMenu class.
Comment 8 tague 1999-06-02 17:38:59 PDT
I belive the fix for #5402 that I checked in today (6/2/98; 5:30pm) should solve
this problem as well.  Please verify and reopen if that isn't the case.
Comment 9 bobj 1999-06-07 17:07:59 PDT
Temporarily reopened, so I can reassign to Tague.
I'm doing my anal-rententive management thing and trying to track what bugs
my group is fixing. :-}
Comment 10 Fergus Sullivan 1999-06-21 14:22:59 PDT
Verifyied against June 18 build.

Note You need to log in before you can comment on or make changes to this bug.